/*
   Copyright 2012-2015 Michael Pozhidaev <michael.pozhidaev@gmail.com>

   This file is part of the LUWRAIN.

   LUWRAIN is free software; you can redistribute it and/or
   modify it under the terms of the GNU General Public
   License as published by the Free Software Foundation; either
   version 3 of the License, or (at your option) any later version.

   LUWRAIN is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
   General Public License for more details.
*/

package org.luwrain.extensions.yatran;

import org.luwrain.core.*;
import org.luwrain.core.extensions.*;

public class Extension extends EmptyExtension
{
    private TranslateRegion translateRegion = null;
    private ControlPanelSection section = null;

    @Override public Command[] getCommands(Luwrain luwrain)
    {
	if (translateRegion == null)
	    translateRegion = new TranslateRegion();
	return new Command[]{translateRegion};
    }

    @Override public org.luwrain.cpanel.Section[] getControlPanelSections(Luwrain luwrain)
    {
	if (section == null)
	    section = new ControlPanelSection(luwrain.getRegistry());
	return new org.luwrain.cpanel.Section[]{section};
    }
}
